const Sequelize = require('sequelize');
const dbConfig = require('../config/database');
const UserSchema = require('./user');
const RuleSchema = require('./rule');
const sequelize = new Sequelize(dbConfig.DB, dbConfig.USER, dbConfig.PASSWORD, {
    host: dbConfig.HOST,
    dialect: dbConfig.dialect
});
const User = sequelize.define('user', UserSchema);
const Rule = sequelize.define('rule', RuleSchema);
exports.User = User;
exports.Rule = Rule;