const { DataTypes } = require('sequelize');
const RuleSchema = {
    key: {
        type: DataTypes.INTEGER,
        primaryKey: true
    },
    href: {
        type: DataTypes.STRING
    },
    avatar: {
        type: DataTypes.STRING
    },
    name: {
        type: DataTypes.STRING
    },
    owner: {
        type: DataTypes.STRING
    },
    desc: {
        type: DataTypes.TEXT
    },
    callNo: {
        type: DataTypes.INTEGER
    },
    status: {
        type: DataTypes.STRING(1)
    },
    updatedAt: {
        type: DataTypes.DATE
    },
    createdAt: {
        type: DataTypes.DATE
    },
    progress: {
        type: DataTypes.INTEGER
    }
};

module.exports = RuleSchema;
